<?php
/*
Plugin Name: EG-Series
Plugin URI: 
Description: 
Version: 2.0.1
Author: Emmanuel GEORJON
Author URI: http://www.emmanuelgeorjon.com/
*/

/*  Copyright 2009-2011  Emmanuel GEORJON  (email: blog@emmanuelgeorjon.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/* ---------------------------------------------------------
   --- Defining main constants
   --------------------------------------------------------- */
define('EGS_PLUGIN_NAME',	'EG-Series'			);
define('EGS_VERSION', 		'2.0.1'				);
define('EGS_TEXTDOMAIN',	'eg-series'			);
define('EGS_OPTIONS_ENTRY', 'EG-Series-Options'	);
define('EGS_CORE_FILE',		__FILE__			);
define('EGS_TAXONOMY',		'series'			);
define('EGS_TAXONOMY_LABEL','EG-Series'			);

define('EGS_DEBUG_MODE',	FALSE				);

/* ---------------------------------------------------------
   --- Load libraries
   --------------------------------------------------------- */
if (! class_exists('EG_Plugin_122'))
	require_once('lib/eg-plugin.inc.php');

/* ---------------------------------------------------------
   --- Load plugin
   --------------------------------------------------------- */	
require_once('inc/eg-series-core.inc.php');	
if (is_admin())
	require('inc/eg-series-admin.inc.php');
else
	require('inc/eg-series-public.inc.php');

/* ---------------------------------------------------------
   --- Load widget
   --------------------------------------------------------- */	
require('lib/eg-widgets280.inc.php');	
require('inc/eg-series-widgets.inc.php');	

?>