(function() {

//	tinymce.PluginManager.requireLangPack('egseries');

	tinymce.create('tinymce.plugins.EGSeries', {

		init : function(ed, url) {

			ed.addCommand('mceEGSeries', function() {
				var post_id = tinymce.DOM.get('post_ID').value;
				ed.windowManager.open({
					file : url + '/eg_series_tinymce_popup.php?post_id=' + post_id,
					width : 420, /*+ ed.getLang('EGSeries.delta_width', 0), */
					height : 410,  /* + ed.getLang('EGSeries.delta_height', 0), */
					inline : 1
				})
			});
            ed.addButton('EGSeries', {
                title: 'egseries.desc',
                image: url + '/egseries.png',
                cmd: 'mceEGSeries'
            });
		},
        createControl : function(n, cm){
            return null;
        },
		getInfo : function() {
			return {
					longname  : 'EGSeries',
					author 	  : 'Emmanuel GEORJON',
					authorurl : 'http://www.emmanuelgeorjon.com',
					infourl   : 'http://www.emmanuelgeorjon.com',
					version   : '2.0.0'
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('EGSeries', tinymce.plugins.EGSeries);
})();
