jQuery(document).ready( function() {

	jQuery("#posts-list").sortable({
		connectWith: '.egseries-sortable',
		placeholder: 'placeholder',
		revert: 'invalid'
	}).disableSelection();

	jQuery(".eg-series").sortable({
		connectWith: '.egseries-sortable',
		revert: 'invalid',
		placeholder: 'placeholder',
		update: function () {
			var serie_id = jQuery(this).attr('id');
			var order_list = jQuery('ul#' + serie_id).sortable('serialize');
			jQuery.ajax({
				type: "POST",
				url: egSeriesSetup.ajax_url,
				cache: false,
				data: "action=" + egSeriesSetup.UpdateSeries + "&serie=" + serie_id + "&" + order_list,
				success: function(msg) {
					switch (msg) {
						case "2":
							jQuery("div#ajaxquery").html('<font color="red">' + egSeriesSetup.UpdateSecurity + '</font>');
						break;
						case "1":
							jQuery("div#ajaxquery").html('<font color="green">' + egSeriesSetup.UpdateOk + '</font>');
							alert('toto');
						break;
						case "0":
							jQuery("div#ajaxquery").html('<font color="red">' + egSeriesSetup.UpdateError + '</font>');
						break;
					} // End of switch
				}, // End of success
			    error: function (msg) {
					jQuery("div#ajaxquery").html('<font color="red">' + egSeriesSetup.UpdateError + '</font>');
				},
				complete: function () {
					jQuery("div#ajaxquery").html('<font color="green">' + egSeriesSetup.UpdateOk + '</font>');
					setTimeout("jQuery('div#ajaxquery').html('&nbsp;')",2000);
				}
			}); // End of jQuery Index
		} // End of update
	}).disableSelection();
});

function EGSerieListPost() {

	// Get select value
	var serie_id = jQuery('select#egseries-select option:selected').val();
	// Launch Ajax query to get list of posts
	jQuery.ajax({
		type: "POST",
		url: egSeriesSetup.ajax_url,
		cache: false,
		data: "action=" + egSeriesSetup.GetPosts + "&serie=" + serie_id,
		success: function(msg) {
			jQuery("#egseries-posts-list").html(msg.responseText );
		},
		error: function (msg) {
			jQuery("#egseries-posts-list").html("error" );
		},
		complete: function (msg) {
			jQuery("#egseries-posts-list").html(msg.responseText );
		}
	});
} // End of EGSerieListPost

function EGSeriePostNumber() {

	var serie_id    = jQuery('select#egseries-select option:selected').val();	
	var current_len = jQuery('select#egseries-order option').size();
	var post_serie  = jQuery('#egseries-current-serie').val();
	var post_order  = jQuery('#egseries-current-order').val();

	jQuery.ajax({
		type: "POST",
		url: egSeriesSetup.ajax_url,
		cache: false,
		dataType: 'text',
		data: 'action=' + egSeriesSetup.GetPostsNumber + '&serie=' + serie_id,
		success: function(data, textStatus) {
			new_len = parseInt(data);
			if (post_serie != serie_id)
				new_len = new_len + 1 ;

			if (new_len != current_len) {
				if (new_len > current_len) {
					for (var x = current_len+1 ; x <= new_len ; x++) {
						jQuery('select#egseries-order').append('<option value="' + x + '">' + x + '</option>');
					}
				} // End of new_len > current_len
				else {
					for (var x = 0; x < (current_len - new_len); x++) {
						jQuery('select#egseries-order option:last').remove();
					}
				} // End of new_len < current_len
			} // End of new_len != current_len
			
			jQuery('select#egseries-order option').removeAttr('selected');
			if (post_serie != serie_id)
				jQuery('select#egseries-order option:last').attr('selected', 'selected');
			else
				jQuery('select#egseries-order').val(post_order).attr('selected', 'selected');
		},
		error: function (msg) {
			jQuery('select#egseries-order').html("error" );
		}
	}); // End of jQuery.ajax
} // End of EGSeriePostNumber
